Bug 1276575 - [RFE] include recipe whiteboard in tasks/executed listing
[RFE] include recipe whiteboard in tasks/executed listing
Status: NEW
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: beaker-dev-list
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2015-10-30 04:06 EDT by Karel Srot
Modified: 2016-01-06 03:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2015-10-30 04:06:48 EDT
Description of problem:

We do frequently access task results through links such as the one below


My problem is that some of those tasks were executed with a newer package version which we state using whiteboard notes like "server - new" and "server - old". Having the whiteboard included in the listing would help me to quickly identify package version for individual tasks (and eventually failures).
Comment 1 Roman Joost 2015-11-04 00:33:14 EST
Dear Karel,

thank you for your report. We're currently working on improving the overall user experience with the jobs page and are keen to improve whatever depends on it.

I'd like to ask if you could elaborate on your wish including the whiteboard. What is your primary goal you want to achieve with the grid? What does the grid provide you the recipe page doesn't? If the task grid would be missing tomorrow, what would you miss?

Thank you for the effort.
Comment 2 Karel Srot 2015-11-04 03:52:01 EST
Hi Róman,

our common testing approach during a bug verification is:
 1. run test with old package version for all supported architectures
 2. run test with new package version for all supported architectures
 3. compare the above (ideally old would fail and new pass)
This typically results at least in two jobs with multiple recipes. Moreover, we frequently have to reschedule a recipe due to aborts. In the end test results are spread in several jobs and recipes.

The URL from #c0 is the easiest for how to access test results of a particular task from all provided recipes. We do store such URL in TCMS test case run in notes so we can access test results when needed.

As I said, such results contain test executed both with the old and the new version of a package that is being tested (this is intentional since we want to compare those results). Unfortunately, on the page it is not visible whether a particular task was running with old or new package. We do store this information in recipe whiteboard and therefore having this information visible would let us to instantly see which package version was installed. See

Note You need to log in before you can comment on or make changes to this bug.